# Uses of Class
org.codehaus.janino.util.ClassFile

Packages that use ClassFile
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of ClassFile in org.codehaus.janino

Methods in org.codehaus.janino that return ClassFile
Modifier and Type
Method
Description
`ClassFile`
CodeContext.`getClassFile()`
The `ClassFile` this context is related to.
`ClassFile[]`
SimpleCompiler.`getClassFiles()`
Methods in org.codehaus.janino with parameters of type ClassFile
Modifier and Type
Method
Description
`void`
UnitCompiler.ClassFileConsumer.`consume(ClassFile classFile)`
`void`
Compiler.`storeClassFile(ClassFile classFile, File sourceFile)`
Stores the byte code of this `ClassFile` in the file system.
Method parameters in org.codehaus.janino with type arguments of type ClassFile
Modifier and Type
Method
Description
`void`
UnitCompiler.`compileUnit(boolean debugSource, boolean debugLines, boolean debugVars, Collection<ClassFile> generatedClassFiles)`
Generates a set of `ClassFile` objects which represent the classes and interfaces declared in the compilation unit.
Constructors in org.codehaus.janino with parameters of type ClassFile
Modifier
Constructor
Description
``
`ClassFileIClass(ClassFile classFile, IClassLoader iClassLoader)`
``
`CodeContext(ClassFile classFile)`
Creates an empty "Code" attribute.

## Uses of ClassFile in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return ClassFile
Modifier and Type
Method
Description
`ClassFile`
ClassFile.MethodInfo.`getClassFile()`
Methods in org.codehaus.janino.util with parameters of type ClassFile
Modifier and Type
Method
Description
`ClassFile.ConstantClassInfo`
ClassFile.ConstantFieldrefInfo.`getClassInfo(ClassFile classFile)`
`ClassFile.ConstantClassInfo`
ClassFile.ConstantInterfaceMethodrefInfo.`getClassInfo(ClassFile classFile)`
`ClassFile.ConstantClassInfo`
ClassFile.ConstantMethodrefInfo.`getClassInfo(ClassFile classFile)`
`ClassFile.ConstantValuePoolInfo`
ClassFile.ConstantValueAttribute.`getConstantValue(ClassFile classFile)`
`String`
ClassFile.ConstantNameAndTypeInfo.`getDescriptor(ClassFile classFile)`
`String`
ClassFile.FieldInfo.`getDescriptor(ClassFile classFile)`
`ClassFile.ConstantClassInfo[]`
ClassFile.ExceptionsAttribute.`getExceptions(ClassFile classFile)`
`String`
ClassFile.ConstantClassInfo.`getName(ClassFile classFile)`
`String`
ClassFile.ConstantNameAndTypeInfo.`getName(ClassFile classFile)`
`String`
ClassFile.FieldInfo.`getName(ClassFile classFile)`
`ClassFile.ConstantNameAndTypeInfo`
ClassFile.ConstantFieldrefInfo.`getNameAndType(ClassFile classFile)`
`ClassFile.ConstantNameAndTypeInfo`
ClassFile.ConstantInterfaceMethodrefInfo.`getNameAndType(ClassFile classFile)`
`ClassFile.ConstantNameAndTypeInfo`
ClassFile.ConstantMethodrefInfo.`getNameAndType(ClassFile classFile)`
`String`
ClassFile.SignatureAttribute.`getSignature(ClassFile classFile)`
`Object`
ClassFile.ConstantUtf8Info.`getValue(ClassFile classFile)`
`abstract Object`
ClassFile.ConstantValuePoolInfo.`getValue(ClassFile classFile)`